TSMIMEHDRCOPY(3ts)

NAME
TSMimeHdrCopy - TSMimeHdrCopy API function

SYNOPSIS

            #include <ts/ts.h>

    TSReturnCode TSMimeHdrCopy(TSMBuffer dest_bufp, TSMLoc dest_offset, TSMBuffer src_bufp, TSMLoc src_offset)

DESCRIPTION

Copies the contents of the MIME header located at src_loc within src_bufp to the MIME header located at dest_loc within dest_bufp.

TSMimeHdrCopy() works correctly even if src_bufp and dest_bufp point to different marshal buffers.

IMPORTANT:
        You must create the destination MIME header before copying into it, using TSMimeHdrCreate().

COPYRIGHT
2026, dev@trafficserver.apache.org